aMSN Forums
July 18, 2018, 07:27:58 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: New forum for aMSN !!
 
   Home   Help Search Login Register  
Pages: [1]
  Print  
Author Topic: UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 ...  (Read 25630 times)
nicolunacba
Super Power User
**
Offline Offline

Posts: 349


View Profile
« on: September 21, 2009, 05:17:41 pm »

Hello! I decide to try aMSN2 in Mac (finally) and using the Qt4 interface (cocoa is not working so, I am looking why), and Python says me while I am logging:
Code:
WARNING:papyon.protocol:Notification unhandled command : GCF 0 4610
[payload]
Traceback (most recent call last):
  File "/Library/Python/2.5/site-packages/papyon/transport.py", line 337, in __on_received
    logger.debug('<<< ' + unicode(cmd))
  File "/Library/Python/2.5/site-packages/papyon/msnp/command.py", line 222, in __unicode__
    return unicode(CommandPrinter(self))
  File "/Library/Python/2.5/site-packages/papyon/msnp/command.py", line 36, in __unicode__
    return printer()
  File "/Library/Python/2.5/site-packages/papyon/msnp/command.py", line 60, in _print_MSG
    result += payload
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 217: ordinal not in range(128)

What's that error? How can I solve it? And an off-topic question: Where can I report bugs of aMSN2?
Logged

I am a Mac user, but I use it like a Unix system ... Terminal.app for life!
billiob
Administrator
Super Power User
*****
Offline Offline

Posts: 1352


View Profile
« Reply #1 on: September 21, 2009, 07:10:00 pm »

The answer is simple. You have a bug? Then fix it and send us the patch.

I don't accept bug reports yet.
Logged
nicolunacba
Super Power User
**
Offline Offline

Posts: 349


View Profile
« Reply #2 on: September 21, 2009, 07:12:07 pm »

ok sorry u_u
Logged

I am a Mac user, but I use it like a Unix system ... Terminal.app for life!
kakaroto
Administrator
Super Power User
*****
Offline Offline

Posts: 9428


View Profile WWW
« Reply #3 on: September 21, 2009, 07:19:44 pm »

I think latest papyon should have this fixed...
Logged

KaKaRoTo
nicolunacba
Super Power User
**
Offline Offline

Posts: 349


View Profile
« Reply #4 on: September 23, 2009, 06:27:26 pm »

I download, compiled and Installed the last papyon and still failing with this. Also, I replaced papyon with "my compiled new version", and fail too.
Logged

I am a Mac user, but I use it like a Unix system ... Terminal.app for life!
arantes
Super Power User
**
Offline Offline

Posts: 364



View Profile
« Reply #5 on: September 23, 2009, 07:09:34 pm »

"compiled" ? What do you mean Oo just a "git submodule update --init" and thats all you need ..
Logged
nicolunacba
Super Power User
**
Offline Offline

Posts: 349


View Profile
« Reply #6 on: September 23, 2009, 08:35:53 pm »

Well, I get the last GIT version of aMSN2 and that error doesn't exists. Now I get (Qt4):

Code:
Traceback (most recent call last):
  File "/Users/macbook/Downloads/amsn2/amsn2/gui/front_ends/qt4/login.py", line 133, in signin
    accv = AccountView()
TypeError: __init__() takes exactly 2 arguments (1 given)
Logged

I am a Mac user, but I use it like a Unix system ... Terminal.app for life!
alexandernst
Developers
Super Power User
*
Offline Offline

Posts: 886



View Profile WWW
« Reply #7 on: November 07, 2009, 12:19:05 am »

That should get fixed after pablog merge his branch with drf.
Logged
billiob
Administrator
Super Power User
*****
Offline Offline

Posts: 1352


View Profile
« Reply #8 on: November 07, 2009, 03:30:28 pm »

Quote from: "alexandernst"
That should get fixed after pablog merge his branch with drf.


Done Smiley
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.11 | SMF © 2006-2009, Simple Machines LLC Valid XHTML 1.0! Valid CSS!